Update Agent
Update an agent's name, workflow definition, or configuration
All fields are optional — only include the fields you want to change. Updating workflow_definition creates a new versioned definition while preserving the history of previous versions.
PUT
/api/v1/workflow/{workflow_id}Parameters#
| Name | Located in | Type | Required | Description |
|---|---|---|---|---|
workflow_id | path | integer | Yes | — |
Request body#
| Field | Type | Required | Description |
|---|---|---|---|
name | string | Yes | — |
workflow_definition | object | No | — |
template_context_variables | object | No | — |
workflow_configurations | object | No | — |
Example request body:
{
"name": "Example Name",
"workflow_definition": {},
"template_context_variables": {},
"workflow_configurations": {}
}Responses#
200 — Successful Response
{
"id": 0,
"name": "Example Name",
"status": "string",
"created_at": "2026-01-15T10:30:00Z",
"workflow_definition": {},
"current_definition_id": 0,
"template_context_variables": {},
"call_disposition_codes": {},
"total_runs": 0,
"workflow_configurations": {}
}404 — Not found
422 — Validation Error
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}